2017.09 «  1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 - - - - » 2017.11
TOP > CATEGORY > RubyOnRails(その他)

TOP | NEXT

スポンサーサイト 

--年--月--日 (--)
上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。


【広告】

[--.--.--(--) --:--] スポンサー広告 | Trackback(-) | Comment(-)
↑TOPへ

バージョンアップ!4.0.2 & 3.2.16 

2013年12月25日 ()
RORもいつの間にか4.0.2や3.2.16になっていますねぇ。
キャッチアップせねば・・・

【広告】

スポンサーサイト
[2013.12.25(Wed) 03:43] RubyOnRails(その他)Trackback(0) | Comments(5) 見る▼
↑TOPへ


COMMENT

承認待ちコメント by -

承認待ちコメント by -

承認待ちコメント by -

承認待ちコメント by -

承認待ちコメント by -

コメントを閉じる▲

HerokuはSalesForceに買収 

2013年11月13日 ()
いつの間にかHerokuはSalesForceに買収されていましたが、クラウド型サービス推し、という点でシンクロしたのでしょうか。
クラウド、という言葉も従来のレンタルサーバの延長じゃないの?という捉え方もあれば、スケールアップ・スケールアウトなど、全然異なる概念だよねぇという捉え方もありますよね。
heroku

【広告】

[2013.11.13(Wed) 13:58] RubyOnRails(その他)Trackback(0) | Comments(0) 見る▼
↑TOPへ

gem install をしたら、ERROR: could not find gem ******* locally or in a repository が出て困ったときは 

2010年12月20日 ()

gem install *******



をしたら

ERROR: could not find gem ******* locally or in a repository



が出ちゃって困ったわあという方、

gem sources -c



を行って、gemのキャッシュを一旦クリアしてから gem install をもう一回試すとうまくいくかもしれません。

【広告】

[2010.12.20(Mon) 23:54] RubyOnRails(その他)Trackback(0) | Comments(1) 見る▼
↑TOPへ


COMMENT

承認待ちコメント by -

コメントを閉じる▲

Ubuntu で debugger が使えなかった事件 

2009年05月28日 ()
Ubuntu で sudo apt-get しながら rails 環境を整えていて、script/server -u でデバッグしようと思ったらハマったのでメモしておきます。

script/server -u を実行したら ruby-debug をインストールしてください、というエラーメッセージが表示されました。

さっそく

sudo gem install ruby-debug

を実行しました。

そしたら訳分からんエラーがでましたよ。


Building native extensions. This could take a while...
ERROR: While executing gem ... (Gem::Installer::ExtensionBuildError)
ERROR: Failed to build gem native extension.

ruby extconf.rb install ruby-debug
extconf.rb:1:in `require': no such file to load -- mkmf (LoadError)
from extconf.rb:1


色々調べた結果、以下のコマンドを実行した後に sudo gem install ruby-debug を実行したら、うまくいきました。


sudo apt-get install ruby1.8-dev


いえい

【広告】

[2009.05.28(Thu) 17:45] RubyOnRails(その他)Trackback(0) | Comments(0) 見る▼
↑TOPへ

バージョン情報を一気に表示 script/about 

2007年10月09日 ()
閑話休題的ココロ

rails をやっていて、rails のバージョンやら ruby のバージョンやらをまとめて知りたいの、と思ったときには見逃しがちだったこのコマンド

# script/about



をどうぞ。

いろんなバージョン情報を↓のようにぞろぞろと表示してくださいます。

About your application's environment
Ruby version                 1.8.5 (i386-linux)
RubyGems version             0.9.2
Rails version                1.2.3
Active Record version        1.15.3
Action Pack version          1.13.3
Action Web Service version   1.2.3
Action Mailer version        1.3.3
Active Support version       1.4.2
Application root             /home/user1/myapp
Environment                  development
Database adapter             mysql
Database schema version      2



ただし、gem コマンドでインストールしたもの(例えば rake とか)は、バージョン情報を表示しませんので、自分でせこせこ調べてください。(例えば rake の場合、# rake --version)

Have a great dream.

【広告】

[2007.10.09(Tue) 00:14] RubyOnRails(その他)Trackback(0) | Comments(0) 見る▼
↑TOPへ

TOP | NEXT
上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。